export interface User {
  id: number
  username: string
  createdAt: Date
  isLocked: boolean
  isAdmin: boolean
}

export async function login(username: string, password: string): Promise<User | null> {
  const basicAuth = btoa(username + ':' + password)
  const response = await fetch(import.meta.env.VITE_API_AUTH_URL + '/login', {
    method: 'POST',
    headers: {
      Authorization: 'Basic ' + basicAuth,
    },
  })
  if (!response.ok) {
    return null
  }
  return (await response.json()) as User
}
